package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ExpandAssessFactory
{
    private ExpandAssessFactory()
    {
    }
    public static com.kingdee.eas.custom.expandassess.IExpandAssess getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IExpandAssess)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("41A2B9E3") ,com.kingdee.eas.custom.expandassess.IExpandAssess.class);
    }
    
    public static com.kingdee.eas.custom.expandassess.IExpandAssess getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IExpandAssess)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("41A2B9E3") ,com.kingdee.eas.custom.expandassess.IExpandAssess.class, objectCtx);
    }
    public static com.kingdee.eas.custom.expandassess.IExpandAssess getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IExpandAssess)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("41A2B9E3"));
    }
    public static com.kingdee.eas.custom.expandassess.IExpandAssess getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IExpandAssess)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("41A2B9E3"));
    }
}